Page MenuHomePhabricator

test2wiki's User:Selenium_user page with redirect and ShortUrl makes Flow browser tests fail
Closed, ResolvedPublic

Description

Flow tests on test2wiki have never worked.

I looked at one failure, https://integration.wikimedia.org/ci/view/BrowserTests/job/browsertests-Flow-test2.wikipedia.org-linux-firefox-sauce/lastFailedBuild/#showFailuresLink

The test "Follow user links.User links takes me to the user page"
fails at

features/post_links.feature:10:in `Then I am on my user page'

Message:

  Sauce Labs job URL: http://saucelabs.com/jobs/6f26f29754884927a682b06035b5e77a
expected: "User:Selenium user"
   got: "User:SeleniumBot\nhttps://test2.wikipedia.org/s/foc" (using ==)

Sure enough https://test2.wikipedia.org/wiki/User:Selenium_user is a redirect, and the https://www.mediawiki.org/wiki/Extension:ShortUrl is adding a short URL to every page which messes up the test of the username in the title.

  1. Can someone get rid of the redirect.
  2. Does test2 need to run this extension? If so, the test for user page title should e.g. target 'h1 > span' so as not to pick up this additional short URL.

Version: unspecified
Severity: normal

Details

Reference
bz67788

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:33 AM
bzimport set Reference to bz67788.
bzimport added a subscriber: Unknown Object (MLST).
TTO added a comment.Jul 10 2014, 11:28 AM

(In reply to spage from comment #0)

  1. Can someone get rid of the redirect.

Done. We can blame "User:Block me" for that problem.

S, thanks for figuring that out. This should totally use the 'h1 >span' identifier for this

Change 155494 had a related patch set uploaded by Spage:
Improve user page title selector for tests

https://gerrit.wikimedia.org/r/155494

Change 155494 merged by jenkins-bot:
QA: Improve user page title selector for tests

https://gerrit.wikimedia.org/r/155494

All patches mentioned in this report were merged or abandoned - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

No reply to comment 5 - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:34 AM